//  ----------------------------------------------------------------------------
//          ATMEL Microcontroller Software Support  -  ROUSSET  -
//  ----------------------------------------------------------------------------
//  DISCLAIMER:  THIS SOFTWARE IS PROVIDED BY ATMEL "AS IS" AND ANY EXPRESS OR
//  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
//  MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT ARE
//  DISCLAIMED. IN NO EVENT SHALL ATMEL BE LIABLE FOR ANY DIRECT, INDIRECT,
//  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
//  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,
//  OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
//  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
//  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
//  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//  ---------------------------------------------------------------------------
//  File Name           : main.h
//  Object              : main application header
//  Creation            : FBr   07-Sep-2005
//  ---------------------------------------------------------------------------
#ifndef _MAIN_H
#define _MAIN_H

#include "project.h"
#include "trace.h"

// Externals
extern volatile char            testCAN;
extern unsigned int             txcounter,rxcounter;
extern void                     AT91F_BasicTestSuite(void);

#define AT91C_CAN_TIMEOUT       100000

#define AT91C_MASTER_CLOCK      48000000    // Master Clock
#define AT91C_BAUDRATE_115200	115200      // DBGU Baudrate

#define	FALSE					0
#define	TRUE					1

#define AT91C_TEST_NOK			0
#define AT91C_TEST_OK			1

#endif // _MAIN_H
