//  ----------------------------------------------------------------------------
//          ATMEL Microcontroller Software Support  -  ROUSSET  -
//  ----------------------------------------------------------------------------
//  DISCLAIMER:  THIS SOFTWARE IS PROVIDED BY ATMEL "AS IS" AND ANY EXPRESS OR
//  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
//  MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT ARE
//  DISCLAIMED. IN NO EVENT SHALL ATMEL BE LIABLE FOR ANY DIRECT, INDIRECT,
//  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
//  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,
//  OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
//  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
//  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
//  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//  ----------------------------------------------------------------------------
// File Name           : at91stdio.h
// Object              : stdio functions redefinition
// Creation            : Application Group - v1.0 24-Aug-2005
// ----------------------------------------------------------------------------
#ifndef _AT91SDIO_H
#define _AT91SDIO_H

#include <stdio.h>

//////////////////////////////////////////////////////////////////////////////
// Include your AT91 Library files
//////////////////////////////////////////////////////////////////////////////
#include "include/AT91SAM7XC256.h"
#define __inline inline
#include "include/lib_AT91SAM7XC256.h"
//////////////////////////////////////////////////////////////////////////////

extern int fgetc(FILE *);
extern int fputc(int, FILE *);

#endif // _AT91SDIO_H
